Subject: RE: [PATCH v2 0/3] Ensure unique worktree ids across repositories

From: <[email-masked]>
Date: Mon, 2 Dec 2024 20:53:57 -0500

On December 2, 2024 8:46 PM, Junio C Hamano wrote:
>Eric Sunshine <[email-masked]> writes:
>
>> Unfortunately, I haven't had time lately to follow all these
>> worktree-related changes or discussions, but perhaps shejialuo is
>> referring to the ability, from within one worktree, to mention a ref
>> from another worktree (which is a feature Duy added some time after
>> the initial worktree implementation).
>
>Ah, yes, that exposes (and has to expose) the worktree ID.  It still does
not have to
>be unique across repositories (only has to unique among the worktrees that
share
>the same single repository).

I might be mistaken, but I think the intent of the worktree series being
discussed
deliberately wanted the worktree ID to be globally unique on a specific
machine.
I might be wrong (hoping I am). The original author should comment on this.